<h2>Data Binding</h2>

<h3>Interpolation</h3>
<div>Name: {{name}}</div>
<div><input type="text" value={{name}}/></div>

<h3>Property Binding</h3>
<div>
    <input type="text" [value]="name"/>
    <a [href]="site" [innerHTML]="siteName"></a>
</div>

<h3>Event Binding</h3>
<div>
    <button (click)="Greet()">Greet Me!</button>
</div>

<h3>Two Way Binding</h3>
<div>
    <input type="text" [(ngModel)]="name"/>
    <div>{{name}}</div>
</div>